diff --git a/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java b/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
index a5b656cb46cd55ebf62a2bb62564eb36fcb3415f..55f688a0b74060753882406c7e81c6c1eee039f1 100644
--- a/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
@@ -31,6 +31,7 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ocsp.IDefStore;
 import com.netscape.certsrv.ocsp.IOCSPAuthority;
@@ -78,7 +79,7 @@ public class RemoveCAServlet extends CMSServlet {
         // override success to display own output.
 
         mFormPath = "/" + mAuthority.getId() + "/" + TPL_FILE;
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         mOCSPAuthority = (IOCSPAuthority) mAuthority;
 
         if (mOutputTemplatePath != null)
@@ -117,7 +118,7 @@ public class RemoveCAServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -202,7 +203,7 @@ public class RemoveCAServlet extends CMSServlet {
             } else {
                 resp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java b/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
index f9b5b3f0f9446ebbfb9b36766caf0212ef94516e..3c5c4080b76292587f904af524a9df16f4d9cf0f 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/CMCProcessor.java
@@ -63,10 +63,10 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cms.servlet.base.CMSServlet;
-import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
 /**
@@ -83,14 +83,14 @@ public class CMCProcessor extends PKIProcessor {
         super();
     }
 
-    public CMCProcessor(CMSRequest cmsReq, CMSServlet servlet, boolean doEnforcePop) {
+    public CMCProcessor(ICMSRequest cmsReq, CMSServlet servlet, boolean doEnforcePop) {
 
         super(cmsReq, servlet);
         enforcePop = doEnforcePop;
 
     }
 
-    public void process(CMSRequest cmsReq)
+    public void process(ICMSRequest cmsReq)
             throws EBaseException {
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java b/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
index 2fbd5546041423411db135a4b9d1e91da5ee11b0..1da0cf3c4aea27931bccd0d389322d3e1fb243b2 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
@@ -49,10 +49,10 @@ import com.netscape.certsrv.authentication.AuthToken;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cms.servlet.base.CMSServlet;
-import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
 /**
@@ -64,7 +64,7 @@ import com.netscape.cms.servlet.common.ECMSGWException;
 public class CRMFProcessor extends PKIProcessor {
 
     @SuppressWarnings("unused")
-    private CMSRequest mRequest;
+    private ICMSRequest mRequest;
 
     private boolean enforcePop = false;
 
@@ -75,14 +75,14 @@ public class CRMFProcessor extends PKIProcessor {
         super();
     }
 
-    public CRMFProcessor(CMSRequest cmsReq, CMSServlet servlet, boolean doEnforcePop) {
+    public CRMFProcessor(ICMSRequest cmsReq, CMSServlet servlet, boolean doEnforcePop) {
         super(cmsReq, servlet);
 
         enforcePop = doEnforcePop;
         mRequest = cmsReq;
     }
 
-    public void process(CMSRequest cmsReq)
+    public void process(ICMSRequest cmsReq)
             throws EBaseException {
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/processors/IPKIProcessor.java b/base/common/src/com/netscape/cms/servlet/processors/IPKIProcessor.java
index 395d30ea93fdf630179dc041eea0d6061a8d3465..3fd42db085bf6aab1279ef82e2f86b7778681295 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/IPKIProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/IPKIProcessor.java
@@ -18,7 +18,7 @@
 package com.netscape.cms.servlet.processors;
 
 import com.netscape.certsrv.base.EBaseException;
-import com.netscape.cms.servlet.common.CMSRequest;
+import com.netscape.certsrv.common.ICMSRequest;
 
 /**
  * This represents the request parser.
@@ -27,7 +27,7 @@ import com.netscape.cms.servlet.common.CMSRequest;
  */
 public interface IPKIProcessor {
 
-    public void process(CMSRequest cmsReq)
+    public void process(ICMSRequest cmsReq)
             throws EBaseException;
 
 }
diff --git a/base/common/src/com/netscape/cms/servlet/processors/KeyGenProcessor.java b/base/common/src/com/netscape/cms/servlet/processors/KeyGenProcessor.java
index bea447abe1f04c486fcef72c821dcdb643aef0a6..d3f8ba6550763fe4d2d54a326693f143b7e71c4b 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/KeyGenProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/KeyGenProcessor.java
@@ -31,9 +31,9 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.KeyGenInfo;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
-import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
 /**
@@ -48,12 +48,12 @@ public class KeyGenProcessor extends PKIProcessor {
         super();
     }
 
-    public KeyGenProcessor(CMSRequest cmsReq, CMSServlet servlet) {
+    public KeyGenProcessor(ICMSRequest cmsReq, CMSServlet servlet) {
         super(cmsReq, servlet);
 
     }
 
-    public void process(CMSRequest cmsReq)
+    public void process(ICMSRequest cmsReq)
             throws EBaseException {
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/processors/PKCS10Processor.java b/base/common/src/com/netscape/cms/servlet/processors/PKCS10Processor.java
index 554e0e9ef37f4b48dfaa4705e229bb34d85644d3..1842169728824f314cca0c350cd6855786a541a2 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/PKCS10Processor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/PKCS10Processor.java
@@ -40,9 +40,9 @@ import com.netscape.certsrv.authentication.IAuthSubsystem;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
-import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
 /**
@@ -63,12 +63,12 @@ public class PKCS10Processor extends PKIProcessor {
         super();
     }
 
-    public PKCS10Processor(CMSRequest cmsReq, CMSServlet servlet) {
+    public PKCS10Processor(ICMSRequest cmsReq, CMSServlet servlet) {
         super(cmsReq, servlet);
 
     }
 
-    public void process(CMSRequest cmsReq)
+    public void process(ICMSRequest cmsReq)
             throws EBaseException {
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java b/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java
index d5149492806d9c66c7177cfa3310a50cbe8415f5..bea899368dd76d9f2a481dd2dbcd09b25c58815c 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/PKIProcessor.java
@@ -35,10 +35,10 @@ import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.cms.servlet.base.CMSServlet;
-import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
 
 /**
@@ -55,7 +55,7 @@ public class PKIProcessor implements IPKIProcessor {
     public static final String PKCS10_REQUEST = "pkcs10Request";
     public static final String SUBJECT_KEYGEN_INFO = "subjectKeyGenInfo";
 
-    protected CMSRequest mRequest = null;
+    protected ICMSRequest mRequest = null;
 
     protected HttpServletRequest httpReq = null;
     protected String mServletId = null;
@@ -66,7 +66,7 @@ public class PKIProcessor implements IPKIProcessor {
     public PKIProcessor() {
     }
 
-    public PKIProcessor(CMSRequest cmsReq, CMSServlet servlet) {
+    public PKIProcessor(ICMSRequest cmsReq, CMSServlet servlet) {
         mRequest = cmsReq;
 
         mServlet = servlet;
@@ -79,7 +79,7 @@ public class PKIProcessor implements IPKIProcessor {
 
     }
 
-    public void process(CMSRequest cmsReq)
+    public void process(ICMSRequest cmsReq)
             throws EBaseException {
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java b/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
index 386e7911c4635adbed70c28d9f05151c447dd1f5..246cefd8c2841aa3950825467a5c71d55cef82df 100644
--- a/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
+++ b/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
@@ -67,6 +67,7 @@ import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.profile.IEnrollProfile;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
@@ -128,7 +129,7 @@ public class CheckRequest extends CMSServlet {
         mAuthorityId = mAuthority.getId();
         mFormPath = "/" + mAuthorityId + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -167,7 +168,7 @@ public class CheckRequest extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -601,10 +602,10 @@ public class CheckRequest extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index 9259d40e667c955392a35b6f76bc023dfa452133..367c558cb0f76bc3ac597a7e03bb79bf381c9f96 100644
--- a/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -61,6 +61,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.common.Constants;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.AuditFormat;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.publish.IPublisherProcessor;
@@ -216,7 +217,7 @@ public class ProcessCertReq extends CMSServlet {
 
             // override success and error templates to null -
             // handle templates locally.
-            mTemplates.remove(CMSRequest.SUCCESS);
+            mTemplates.remove(ICMSRequest.SUCCESS);
 
             try {
                 mReqCompletedTemplate = sc.getInitParameter(
@@ -339,10 +340,10 @@ public class ProcessCertReq extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
 
@@ -450,7 +451,7 @@ public class ProcessCertReq extends CMSServlet {
                 }
 
                 if (authzToken == null) {
-                    cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                    cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
 
                     // store a message in the signed audit log file
                     if (toDo.equals(SIGNED_AUDIT_CLONING)) {
@@ -800,7 +801,7 @@ public class ProcessCertReq extends CMSServlet {
 
                     if (r.getRequestStatus().equals(RequestStatus.PENDING)) {
                         cmsReq.setResult(r);
-                        cmsReq.setStatus(CMSRequest.PENDING);
+                        cmsReq.setStatus(ICMSRequest.PENDING);
                         if (certInfo != null) {
                             for (int i = 0; i < certInfo.length; i++) {
                                 mLogger.log(ILogger.EV_AUDIT,
@@ -851,7 +852,7 @@ public class ProcessCertReq extends CMSServlet {
                             r.getRequestStatus().equals(
                                     RequestStatus.SVC_PENDING)) {
                         cmsReq.setResult(r);
-                        cmsReq.setStatus(CMSRequest.SVC_PENDING);
+                        cmsReq.setStatus(ICMSRequest.SVC_PENDING);
                         if (certInfo != null) {
                             for (int i = 0; i < certInfo.length; i++) {
                                 mLogger.log(ILogger.EV_AUDIT,
@@ -899,7 +900,7 @@ public class ProcessCertReq extends CMSServlet {
                         }
                     } else if (r.getRequestStatus().equals(
                             RequestStatus.COMPLETE)) {
-                        cmsReq.setStatus(CMSRequest.SUCCESS);
+                        cmsReq.setStatus(ICMSRequest.SUCCESS);
 
                         // XXX make the repeat record.
                         // Get the certificate(s) from the request
diff --git a/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java b/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
index dc61e1e02b02528a81c4723d740605f539f9736f..66c7129f69de2fe828db321b015c1fb3f56c209e 100644
--- a/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
@@ -39,6 +39,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.request.IRequest;
@@ -110,8 +111,8 @@ public class ProcessReq extends CMSServlet {
 
         // override success and error templates to null -
         // handle templates locally.
-        mTemplates.remove(CMSRequest.SUCCESS);
-        mTemplates.remove(CMSRequest.ERROR);
+        mTemplates.remove(ICMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.ERROR);
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
     }
@@ -183,7 +184,7 @@ public class ProcessReq extends CMSServlet {
                 }
 
                 if (authzToken == null) {
-                    cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+                    cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
                     return;
                 }
 
@@ -211,11 +212,11 @@ public class ProcessReq extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             } else {
                 cmsReq.setError(error);
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/request/QueryReq.java b/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
index f1e8ec8b1de8977eb8f4368814a7395b28dd02f9..09bf3a0b8d5fd3e79474434722730164578b6164 100644
--- a/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
@@ -126,8 +127,8 @@ public class QueryReq extends CMSServlet {
 
         // override success and error templates to null -
         // handle templates locally.
-        mTemplates.remove(CMSRequest.SUCCESS);
-        mTemplates.remove(CMSRequest.ERROR);
+        mTemplates.remove(ICMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.ERROR);
 
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -227,7 +228,7 @@ public class QueryReq extends CMSServlet {
                     CMS.getLogMessage("ADMIN_SRVLT_AUTH_FAILURE", e.toString()));
         }
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -328,7 +329,7 @@ public class QueryReq extends CMSServlet {
             throw new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR"));
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java b/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
index 10daeeb08a7d18cb3bbd06f765f558f5e9e266d2..533199ebc778f2e8bc02a111f08151fdd3918585 100644
--- a/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
+++ b/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
@@ -36,6 +36,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestList;
@@ -87,7 +88,7 @@ public class SearchReqs extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override success to render own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
 
         if (mAuthority instanceof ISubsystem) {
             ISubsystem sub = mAuthority;
@@ -135,8 +136,8 @@ public class SearchReqs extends CMSServlet {
 
         // override success and error templates to null -
         // handle templates locally.
-        mTemplates.remove(CMSRequest.SUCCESS);
-        mTemplates.remove(CMSRequest.ERROR);
+        mTemplates.remove(ICMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.ERROR);
 
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
@@ -169,7 +170,7 @@ public class SearchReqs extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -220,12 +221,12 @@ public class SearchReqs extends CMSServlet {
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                     outputXML(resp, argSet);
                 } else {
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
                 }
             } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 cmsReq.setError(error);
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index 7be68d36f1712cf7d66a36fc90ab1f180cbec32f..39ace2ceb0972ca9ba5a2801321c1f95482a7c17 100644
--- a/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -85,6 +85,7 @@ import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
 import com.netscape.certsrv.common.Constants;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.common.NameValuePairs;
 import com.netscape.certsrv.connector.IHttpConnection;
 import com.netscape.certsrv.connector.IPKIMessage;
@@ -120,7 +121,6 @@ import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.certsrv.request.RequestStatus;
-import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.csadmin.LDAPSecurityDomainSessionTable;
 import com.netscape.cms.servlet.csadmin.SecurityDomainSessionTable;
 import com.netscape.cms.servlet.csadmin.SessionTimer;
@@ -1554,7 +1554,7 @@ public class CMSEngine implements ICMSEngine {
     }
 
     public void terminateRequests() {
-        Enumeration<CMSRequest> e = CommandQueue.mCommandQueue.keys();
+        Enumeration<ICMSRequest> e = CommandQueue.mCommandQueue.keys();
 
         while (e.hasMoreElements()) {
             Object thisRequest = e.nextElement();
diff --git a/base/common/src/com/netscape/cmscore/apps/CommandQueue.java b/base/common/src/com/netscape/cmscore/apps/CommandQueue.java
index f3963edb8b1f802aa21db49a99e31d3828737132..d501de343809dafa18510381821f224db2159442 100644
--- a/base/common/src/com/netscape/cmscore/apps/CommandQueue.java
+++ b/base/common/src/com/netscape/cmscore/apps/CommandQueue.java
@@ -23,7 +23,7 @@ import java.util.Hashtable;
 import javax.servlet.Servlet;
 
 import com.netscape.certsrv.apps.ICommandQueue;
-import com.netscape.cms.servlet.common.CMSRequest;
+import com.netscape.certsrv.common.ICMSRequest;
 
 /*---------------------------------------------------------------
  ** CommandQueue - Class
@@ -34,7 +34,7 @@ import com.netscape.cms.servlet.common.CMSRequest;
  */
 public class CommandQueue implements Runnable, ICommandQueue {
 
-    public static Hashtable<CMSRequest, Servlet> mCommandQueue = new Hashtable<CMSRequest, Servlet>();
+    public static Hashtable<ICMSRequest, Servlet> mCommandQueue = new Hashtable<ICMSRequest, Servlet>();
     public static boolean mShuttingDown = false;
 
     /*-----------------------------------------------------------
@@ -72,7 +72,7 @@ public class CommandQueue implements Runnable, ICommandQueue {
         }
     } // run
 
-    public boolean registerProcess(CMSRequest currentRequest, Servlet currentServlet) {
+    public boolean registerProcess(ICMSRequest currentRequest, Servlet currentServlet) {
         if (mShuttingDown == false) {
             if ((currentServlet instanceof com.netscape.cms.servlet.base.CMSStartServlet) == false)
                 mCommandQueue.put(currentRequest, currentServlet);
@@ -83,7 +83,7 @@ public class CommandQueue implements Runnable, ICommandQueue {
     }
 
     public void unRegisterProccess(Object currentRequest, Object currentServlet) {
-        Enumeration<CMSRequest> e = mCommandQueue.keys();
+        Enumeration<ICMSRequest> e = mCommandQueue.keys();
 
         while (e.hasMoreElements()) {
             Object thisRequest = e.nextElement();
-- 
1.8.1.4

